<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'pest_control_lite_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'pest-control-lite' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

  Kirki::add_field( 'theme_config_id', [
			'type'        => 'switch',
			'settings'    => 'pest_control_lite_display_header_title',
			'label'       => esc_html__( 'Site Title Enable / Disable Button', 'pest-control-lite' ),
			'section'     => 'title_tagline',
			'default'     => '1',
			'priority'    => 10,
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'pest-control-lite' ),
				'off' => esc_html__( 'Disable', 'pest-control-lite' ),
			],
		] );

	Kirki::add_field( 'theme_config_id', [
			'type'        => 'switch',
			'settings'    => 'pest_control_lite_display_header_text',
			'label'       => esc_html__( 'Tagline Enable / Disable Button', 'pest-control-lite' ),
			'section'     => 'title_tagline',
			'default'     => '1',
			'priority'    => 10,
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'pest-control-lite' ),
				'off' => esc_html__( 'Disable', 'pest-control-lite' ),
			],
		] );

	// PANEL

	Kirki::add_panel( 'pest_control_lite_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'pest-control-lite' ),
	) );

	// Scroll Top

	Kirki::add_section( 'pest_control_lite_section_scroll', array(
	    'title'          => esc_html__( 'Additional Settings', 'pest-control-lite' ),
	    'description'    => esc_html__( 'Scroll To Top', 'pest-control-lite' ),
	    'panel'          => 'pest_control_lite_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'pest_control_lite_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_section_scroll',
		'default'     => '1',
		'priority'    => 10,
	] );

	new \Kirki\Field\Select([
		'settings'    => 'menu_text_transform_pest_control_lite',
		'label'       => esc_html__( 'Menus Text Transform', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_section_scroll',
		'default'     => 'CAPITALISE',
		'placeholder' => esc_html__( 'Choose an option', 'pest-control-lite' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'pest-control-lite' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'pest-control-lite' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'pest-control-lite' ),

		],
	]);

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'pest_control_lite_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_section_scroll',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );


	// POST SECTION

	Kirki::add_section( 'pest_control_lite_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'pest-control-lite' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'pest-control-lite' ),
	    'panel'          => 'pest_control_lite_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_enable_post_heading',
		'section'     => 'pest_control_lite_section_post',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Post Settings.', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'pest_control_lite_blog_admin_enable',
		'label'       => esc_html__( 'Post Author Enable / Disable Button', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'pest-control-lite' ),
			'off' => esc_html__( 'Disable', 'pest-control-lite' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'pest_control_lite_blog_comment_enable',
		'label'       => esc_html__( 'Post Comment Enable / Disable Button', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'pest-control-lite' ),
			'off' => esc_html__( 'Disable', 'pest-control-lite' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'pest_control_lite_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	// HEADER SECTION

	Kirki::add_section( 'pest_control_lite_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'pest-control-lite' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'pest-control-lite' ),
	    'panel'          => 'pest_control_lite_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_header_phone_number_heading',
		'section'     => 'pest_control_lite_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Phone Number', 'pest-control-lite' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'pest_control_lite_header_phone_number',
		'section'  => 'pest_control_lite_section_header',
		'default'  => '',
		'sanitize_callback' => 'pest_control_lite_sanitize_phone_number',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_enable_email_heading',
		'section'     => 'pest_control_lite_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Email Address', 'pest-control-lite' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'pest_control_lite_header_email',
		'section'  => 'pest_control_lite_section_header',
		'default'  => '',
		'sanitize_callback' => 'sanitize_email',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_enable_location_heading',
		'section'     => 'pest_control_lite_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Location', 'pest-control-lite' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'pest_control_lite_header_location',
		'section'  => 'pest_control_lite_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_timing_heading',
		'section'     => 'pest_control_lite_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Timing', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'       => esc_html__( 'Open Timing', 'pest-control-lite' ),
		'settings' => 'pest_control_lite_header_timing',
		'section'  => 'pest_control_lite_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'       => esc_html__( 'Sunday Timing', 'pest-control-lite' ),
		'settings' => 'pest_control_lite_header_timing_text',
		'section'  => 'pest_control_lite_section_header',
		'default'  => '',
	] );


    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_button_heading',
		'section'     => 'pest_control_lite_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Header Button', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'       => esc_html__( 'Button Text', 'pest-control-lite' ),
		'settings' => 'pest_control_lite_header_btn_text',
		'section'  => 'pest_control_lite_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'       => esc_html__( 'Button URL', 'pest-control-lite' ),
		'settings' => 'pest_control_lite_header_btn_url',
		'section'  => 'pest_control_lite_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_enable_socail_link',
		'section'     => 'pest_control_lite_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'pest-control-lite' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'pest_control_lite_section_header',
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'pest-control-lite' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'pest-control-lite' ),
		'settings'     => 'pest_control_lite_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'pest-control-lite' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'pest-control-lite' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'pest-control-lite' ),
				'description' => esc_html__( 'Add the social icon url here.', 'pest-control-lite' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'pest_control_lite_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'pest-control-lite' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'pest-control-lite' ),
        'panel'          => 'pest_control_lite_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_enable_heading',
		'section'     => 'pest_control_lite_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'pest_control_lite_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'pest-control-lite' ),
			'off' => esc_html__( 'Disable', 'pest-control-lite' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'pest_control_lite_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'pest-control-lite' ),
			'off' => esc_html__( 'Disable', 'pest-control-lite' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_slider_heading',
		'section'     => 'pest_control_lite_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'pest_control_lite_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_blog_slide_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'pest_control_lite_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'pest-control-lite' ),
		'priority'    => 10,
		'choices'     => pest_control_lite_get_categories_select(),
	] );

	// ABOUT US SECTION

	Kirki::add_section( 'pest_control_lite_about_us_section', array(
        'title'          => esc_html__( 'About Us Settings', 'pest-control-lite' ),
        'description'    => esc_html__( 'You have to select page to show about us section.', 'pest-control-lite' ),
        'panel'          => 'pest_control_lite_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_about_us_section_enable_heading',
		'section'     => 'pest_control_lite_about_us_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable About Us Section', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'pest_control_lite_about_us_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_about_us_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'pest-control-lite' ),
			'off' => esc_html__( 'Disable', 'pest-control-lite' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_about_us_section_title_heading',
		'section'     => 'pest_control_lite_about_us_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Secton Title', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'pest_control_lite_about_us_section_title',
		'section'  => 'pest_control_lite_about_us_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_about_us_page_heading',
		'section'     => 'pest_control_lite_about_us_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Page Dropdown', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'dropdown-pages',
		'settings'    => 'pest_control_lite_about_us',
		'section'     => 'pest_control_lite_about_us_section',
		'default'     => 42,
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_about_excerpt_heading',
		'section'     => 'pest_control_lite_about_us_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Number Of Text', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'pest_control_lite_about_excerpt_number',
		'label'       => esc_html__( 'Number of text to show', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_about_us_section',
		'default'     => 60,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_about_category_heading',
		'section'     => 'pest_control_lite_about_us_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'About Category', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'pest_control_lite_about_category_number',
		'label'       => esc_html__( 'Number of post to show.', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_about_us_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'pest_control_lite_about_category',
		'label'       => esc_html__( 'Select the category to show post.', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_about_us_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'pest-control-lite' ),
		'priority'    => 10,
		'choices'     => pest_control_lite_get_categories_select(),
	] );
    
	// FOOTER SECTION

	Kirki::add_section( 'pest_control_lite_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'pest-control-lite' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'pest-control-lite' ),
        'panel'          => 'pest_control_lite_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_footer_text_heading',
		'section'     => 'pest_control_lite_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'pest_control_lite_footer_text',
		'section'  => 'pest_control_lite_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'pest_control_lite_footer_enable_heading',
		'section'     => 'pest_control_lite_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'pest-control-lite' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'pest_control_lite_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'pest-control-lite' ),
		'section'     => 'pest_control_lite_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'pest-control-lite' ),
			'off' => esc_html__( 'Disable', 'pest-control-lite' ),
		],
	] );
}