<?php

add_action( 'admin_menu', 'pest_control_lite_getting_started' );
function pest_control_lite_getting_started() {
	add_theme_page( esc_html__('Get Started', 'pest-control-lite'), esc_html__('Get Started', 'pest-control-lite'), 'edit_theme_options', 'pest-control-lite-guide-page', 'pest_control_lite_test_guide');
}

function pest_control_lite_admin_enqueue_scripts() {
	wp_enqueue_style( 'pest-control-lite-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
}
add_action( 'admin_enqueue_scripts', 'pest_control_lite_admin_enqueue_scripts' );

if ( ! defined( 'PEST_CONTROL_LITE_DOCS_FREE' ) ) {
define('PEST_CONTROL_LITE_DOCS_FREE',__('https://www.misbahwp.com/docs/pest-control-free-docs/','pest-control-lite'));
}
if ( ! defined( 'PEST_CONTROL_LITE_DOCS_PRO' ) ) {
define('PEST_CONTROL_LITE_DOCS_PRO',__('https://www.misbahwp.com/docs/pest-control-pro-docs','pest-control-lite'));
}
if ( ! defined( 'PEST_CONTROL_LITE_BUY_NOW' ) ) {
define('PEST_CONTROL_LITE_BUY_NOW',__('https://www.misbahwp.com/themes/pest-control-wordpress-theme/','pest-control-lite'));
}
if ( ! defined( 'PEST_CONTROL_LITE_SUPPORT_FREE' ) ) {
define('PEST_CONTROL_LITE_SUPPORT_FREE',__('https://wordpress.org/support/theme/pest-control-lite','pest-control-lite'));
}
if ( ! defined( 'PEST_CONTROL_LITE_REVIEW_FREE' ) ) {
define('PEST_CONTROL_LITE_REVIEW_FREE',__('https://wordpress.org/support/theme/pest-control-lite/reviews/#new-post','pest-control-lite'));
}
if ( ! defined( 'PEST_CONTROL_LITE_DEMO_PRO' ) ) {
define('PEST_CONTROL_LITE_DEMO_PRO',__('https://www.misbahwp.com/demo/pest-control/','pest-control-lite'));
}

function pest_control_lite_test_guide() { ?>
	<?php $theme = wp_get_theme(); ?>

	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( PEST_CONTROL_LITE_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'pest-control-lite' ) ?></a>
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'pest-control-lite' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( PEST_CONTROL_LITE_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'pest-control-lite' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( PEST_CONTROL_LITE_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'pest-control-lite' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','pest-control-lite'); ?><?php echo esc_html( $theme ); ?>  <span><?php esc_html_e('Version: ', 'pest-control-lite'); ?><?php echo esc_html($theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-inside">
					<?php
						$theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postbox donate">
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','pest-control-lite'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','pest-control-lite'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','pest-control-lite'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','pest-control-lite'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
	  		</div>
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'pest-control-lite' ); ?></h3>
				<div class="inside">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','pest-control-lite'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( PEST_CONTROL_LITE_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'pest-control-lite' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( PEST_CONTROL_LITE_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'pest-control-lite' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( PEST_CONTROL_LITE_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'pest-control-lite' ) ?></a>
					</div>
				</div>
			</div>
		</div>
	</div>

<?php } ?>
